.\"
.\" DI $Id: soelim.tr,v 0.16 2013/10/30 20:21:59 pj Exp $
.\" DA Written by William Joy, modified by Pierre‐Jean Fichet
.\" DS Utroff soelim manual
.\" DT Utroff soelim manual
.\" DK utroff soelim felim slelim troff nroff heirloom tmac xml
.
.
.
.TH SOELIM 1 '2013‐11‐05'
.
.
.
.SH NAME
.PP
\fBsoelim\fR - (utroff) eliminate .so’s from nroff input
.
.
.
.SH SYNOPSIS
.PP
\fB@BINDIR@/soelim\fR [\fIfile\fR] ...
.
.
.
.SH DESCRIPTION
.PP
\fISoelim\fR reads the specified files or the standard input
and performs the textual inclusion implied by the
\fInroff\fR directives of the form
.PP
.EX
.so somefile
.EE
.PP
when they appear at the beginning of input lines. This is
useful since programs such as \fItbl\fR do not normally do
this; it allows the placement of individual tables in
separate files to be run as a part of a large document.
.PP
Note that inclusion can be suppressed by using
‘\fB'\fR’ instead of ‘\fB.\fR’, i.e.
.PP
.EX
\fB’\fR\fBso\fR /usr/ucblib/doctools/tmac/s
.EE
.PP
This version of \fIsoelim\fR keep trace of real the file
name and line number, so that troff error messages still
gets meaningfull.
.PP
A sample usage of \fIsoelim\fR would be
.PP
.EX
soelim exum?.n \fB|\fR tbl \fB|\fR nroff -ms \fB|\fR col \fB|\fR lp
.EE
.
.
.
.SH SEE ALSO
.PP
more(1) ,
felim(1),
slelim(1).
.
.
.
.SH NOTES
.PP
The format of the source commands must involve no
strangeness - exactly one blank must precede and no blanks
follow the file name.
.
.
.
.SH LICENSE
.PP
\fISoelim\fR is distributed under the
CDDL‐1.0 license
and this man page are distributed under the
original BSD
license.
.
.
.
.SH BUGS & HELP
.PP
Don’t hesitate to ask questions at help at utroff dot org.
Please, send bugs and patches at help at utroff dot org.
.
.
.
.SH AUTHORS
.PP
Written by William \fCJoy\fR. Modified by Pierre‐Jean
\fCFichet\fR.
